ros-iron-rqt-py-common (1.3.4-1jammy) jammy; urgency=high

  * Allow to autocomplete namespaced topics (#301 <https://github.com/ros-visualization/rqt/issues/301>)
  * Contributors: Alejandro Hernández Cordero

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 14 Feb 2024 16:00:00 -0000

ros-iron-rqt-py-common (1.3.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 18 May 2023 16:00:00 -0000

ros-iron-rqt-py-common (1.3.2-1jammy) jammy; urgency=high

  * Changes the use of __slots__ for the field and field type getter (#289 <https://github.com/ros-visualization/rqt/issues/289>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rqt-py-common (1.3.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-rqt-py-common (1.3.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#283 <https://github.com/ros-visualization/rqt/issues/283>)
  * Contributors: Audrow Nash, Dharini Dutia, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rqt-py-common (1.2.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-rqt-py-common (1.1.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rqt-py-common (1.1.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 30 Aug 2021 16:00:00 -0000

ros-iron-rqt-py-common (1.1.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-rqt-py-common (1.1.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Apr 2021 16:00:00 -0000

ros-iron-rqt-py-common (1.0.7-1jammy) jammy; urgency=high

  * Avoid installing test interfaces  (#228 <https://github.com/ros-visualization/rqt/issues/228>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-iron-rqt-py-common (1.0.6-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 May 2020 16:00:00 -0000

ros-iron-rqt-py-common (1.0.5-1jammy) jammy; urgency=high

  * use Python debug executable for Windows debug builds (#196 <https://github.com/ros-visualization/rqt/issues/196>)

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-iron-rqt-py-common (1.0.2-1jammy) jammy; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 03 Feb 2019 16:00:00 -0000

ros-iron-rqt-py-common (1.0.1-1jammy) jammy; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-iron-rqt-py-common (1.0.0-1jammy) jammy; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-iron-rqt-py-common (0.5.0-1jammy) jammy; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-iron-rqt-py-common (0.4.7-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 01 Mar 2017 16:00:00 -0000

ros-iron-rqt-py-common (0.4.6-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 26 Feb 2017 16:00:00 -0000

ros-iron-rqt-py-common (0.4.5-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 02 Feb 2017 16:00:00 -0000

ros-iron-rqt-py-common (0.4.4-1jammy) jammy; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 23 Jan 2017 16:00:00 -0000

ros-iron-rqt-py-common (0.4.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Nov 2016 16:00:00 -0000

ros-iron-rqt-py-common (0.4.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 18 Sep 2016 16:00:00 -0000

ros-iron-rqt-py-common (0.4.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 15 May 2016 16:00:00 -0000

ros-iron-rqt-py-common (0.4.0-1jammy) jammy; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 26 Apr 2016 16:00:00 -0000

ros-iron-rqt-py-common (0.3.13-1jammy) jammy; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Mar 2016 16:00:00 -0000

ros-iron-rqt-py-common (0.3.12-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Jul 2015 16:00:00 -0000

ros-iron-rqt-py-common (0.3.11-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2015 16:00:00 -0000

ros-iron-rqt-py-common (0.3.10-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 30 Sep 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.9-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 17 Aug 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.8-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 14 Jul 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.7-1jammy) jammy; urgency=high

  * improve topic helpers to make more things plottable (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jul 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.6-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 01 Jun 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.5-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 May 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.4-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 27 Jan 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.3-1jammy) jammy; urgency=high

  * fix ui loading of plugin constainer widget

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 07 Jan 2014 16:00:00 -0000

ros-iron-rqt-py-common (0.3.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 13 Oct 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.3.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 08 Oct 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.3.0-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 27 Aug 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.17-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 03 Jul 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.16-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 09 Apr 2013 05:33:00 -0000

ros-iron-rqt-py-common (0.2.15-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 08 Apr 2013 16:02:00 -0000

ros-iron-rqt-py-common (0.2.14-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 13 Mar 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.13-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 11 Mar 2013 14:14:00 -0000

ros-iron-rqt-py-common (0.2.12-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 11 Mar 2013 05:56:00 -0000

ros-iron-rqt-py-common (0.2.11-1jammy) jammy; urgency=high

  * Add common system messaging pane widget

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 07 Mar 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.10-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 21 Jan 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.9-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 16 Jan 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.8-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 10 Jan 2013 16:00:00 -0000

ros-iron-rqt-py-common (0.2.7-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Dec 2012 16:00:00 -0000

ros-iron-rqt-py-common (0.2.6-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 22 Dec 2012 16:00:00 -0000

ros-iron-rqt-py-common (0.2.5-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 21 Dec 2012 11:11:00 -0000

ros-iron-rqt-py-common (0.2.4-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Dec 2012 17:13:00 -0000

ros-iron-rqt-py-common (0.2.3-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Dec 2012 16:24:00 -0000

ros-iron-rqt-py-common (0.2.2-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Dec 2012 10:29:00 -0000

ros-iron-rqt-py-common (0.2.1-1jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Dec 2012 09:47:00 -0000

ros-iron-rqt-py-common (0.2.0-1jammy) jammy; urgency=high

  * first release of this package into groovy

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Dec 2012 09:39:00 -0000


